## slurm-smd 23.02.7

=== debian/changelog ===
slurm-smd (23.02.7-2) UNRELEASED; urgency=medium

  * Initial release
  * Adapts the packaging to upstream debian packaging.
  * Adds configure flags to use pmix, and build depends for pmix.

 -- Tim McMullan <mcmullan@schedmd.com>  Tue, 12 Sep 2023 15:54:59 -0400
