=== debian/control ===
Source: slurm-smd
Section: admin
Priority: optional
Maintainer: SchedMD Support <support@schedmd.com>
Uploaders: Tim Mcmullan <mcmullan@schedmd.com>
Build-Depends:
 debhelper (>= 12),
 libmunge-dev,
 libncurses-dev,
 po-debconf,
 python3,
 libgtk2.0-dev,
 libpam0g-dev,
 libperl-dev,
 libpam0g-dev,
 liblua5.3-dev,
 libhwloc-dev,
 dh-exec,
 librrd-dev,
 libipmimonitoring-dev,
 hdf5-helpers,
 libfreeipmi-dev,
 libhdf5-dev,
 man2html-base,
 libcurl4-openssl-dev,
 pmix,
 libhttp-parser-dev,
 libyaml-dev,
 libjson-c-dev,
 libjwt-dev,
 liblz4-dev,
 bash-completion,
 libdbus-1-dev,
 librdkafka-dev
Homepage: http://slurm.schedmd.com
Vcs-Browser: https://github.com/SchedMD/slurm
Vcs-Git: https://github.com/SchedMD/slurm.git
Standards-Version: 4.6.0

Package: slurm-smd
Architecture: any
Depends:
 ${shlibs:Depends},
 munge
Conflicts:
 slurm-wlm,
 slurm-wlm-basic-plugins,
 slurm-wlm-elasticsearch-plugin,
 slurm-wlm-emulator,
 slurm-wlm-hdf5-plugin,
 slurm-wlm-influxdb-plugin,
 slurm-wlm-ipmi-plugins,
 slurm-wlm-jwt-plugin,
 slurm-wlm-mysql-plugin,
 slurm-wlm-plugins,
 slurm-wlm-rrd-plugin,
 slurm-wlm-rsmi-plugin
Description: Slurm Workload Manager
 Slurm is an open source, fault-tolerant, and highly scalable
 cluster management and job scheduling system for Linux clusters.
 Components include machine status, partition management,
 job management, scheduling and accounting modules.

Package: slurm-smd-client
Architecture: any
Depends:
 ${shlibs:Depends},
 slurm-smd (= ${binary:Version}),
 munge
Conflicts:
 slurm-client,
 slurm-client-emulator
Description: Slurm Workload Manager client commands.
 This package contains the Slurm client commands (excluding sview).

Package: slurm-smd-dev
Architecture: any
Depends:
 slurm-smd (= ${binary:Version}),
 munge
Conflicts:
 slurm-wlm-basic-plugins-dev,
 slurm-wlm-elasticsearch-plugin-dev,
 slurm-wlm-hdf5-plugin-dev,
 slurm-wlm-influxdb-plugin-dev,
 slurm-wlm-ipmi-plugins-dev,
 slurm-wlm-jwt-plugin-dev,
 slurm-wlm-mysql-plugin-dev,
 slurm-wlm-plugins-dev,
 slurm-wlm-rrd-plugin-dev,
 slurm-wlm-rsmi-plugin-dev,
 libslurm-dev
Description: Development package for Slurm-smd.
 This package includes the header files and static libraries for the Slurm API.

Package: slurm-smd-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Conflicts:
 slurm-wlm-doc
Description: Slurm HTML documentation
 This package contains the Slurm html documentation.

Package: slurm-smd-slurmctld
Architecture: any
Depends:
 ${shlibs:Depends},
 slurm-smd (= ${binary:Version}),
 munge
Conflicts:
 slurmctld
Description: Slurm contoller daemon.
 Used to manage the job queue, schedule jobs, and dispatch RPC messages to the
 slurmd processon the compute nodes to launch jobs.

Package: slurm-smd-slurmd
Architecture: any
Depends:
 ${shlibs:Depends},
 slurm-smd (= ${binary:Version}),
 munge
Conflicts:
 slurmd
Description: Slurm compute node daemon
  Used to launch jobs on compute nodes.

Package: slurm-smd-slurmdbd
Architecture: any
Depends:
 ${shlibs:Depends},
 slurm-smd (= ${binary:Version}),
 munge
Conflicts:
 slurmdbd
Description: Slurm database daemon.
 Used to accept and process database RPCs and upload database changes to
 slurmctld daemons on each cluster.

Package: slurm-smd-slurmrestd
Architecture: any
Depends:
 slurm-smd (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts:
 slurmrestd
Description: Slurm REST API daemon
 Provides a REST interface to Slurm using the REST API daemon slurmrestd.

Package: slurm-smd-sview
Architecture: any
Depends:
 slurm-smd (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts:
 sview,
Description: GUI to view or modify Slurm state information.
 This package contains sview, a GUI for viewing Slurm configuration, job, node,
 and partition state information.  Can be used to modify some information by
 authorized users.

Package: slurm-smd-libnss-slurm
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Slurm NSS plugin
  This plugin can permit passwd, group, and cloud node host resolution for a job
  to be serviced through the local slurmstepd process.

Package: slurm-smd-libpam-slurm-adopt
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Conflicts:
 libpam-slurm-adopt
Description: Slurm's pam_slurm_adopt module
  This module restricts access to compute nodes in a cluster where Slurm is in
  use.  Access is granted to root, any user with an Slurm-launched job currently
  running on the node, or any user who has allocated resources on the node
  according to the Slurm

Package: slurm-smd-libpmi0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
  slurm-smd (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
Description: Slurm PMI library implementation
  The Slurm PMI library.

Package: slurm-smd-libpmi2-0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
  slurm-smd (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
Description: Slurm PMI2 library implementation
  The Slurm PMI2 library.  For systems using Slurm, this version is preferred
  over the compatibility libraries shipped by the PMIx project.

Package: slurm-smd-libslurm-perl
Section: perl
Architecture: any
Depends:
 ${perl:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: libslurmdb-perl
Description: Perl API for Slurm
  This package includes the perl API to provide a helpful interface to Slurm
  through Perl

Package: slurm-smd-openlava
Architecture: all
Depends:
 slurm-smd (>= ${source:Version}),
 slurm-smd-libslurm-perl (>= ${source:Version}),
 libswitch-perl,
 ${perl:Depends},
 ${misc:Depends}
Description: OpenLava compatibility wrappers for Slurm
  OpenLava wrapper scripts used for helping migrate from OpenLava/LFS to Slurm

Package: slurm-smd-torque
Architecture: all
Depends:
 slurm-smd (>= ${source:Version}),
 slurm-smd-libslurm-perl (>= ${source:Version}),
 libswitch-perl,
 ${shlibs:Depends},
 ${perl:Depends},
 ${misc:Depends}
Conflicts: gridengine-client, torque-client, torque-client-x11
Description: Torque compatibility wrappers for Slurm
  Torque wrapper scripts used for helping migrate from Torque/PBS to Slurm
