## slurm-smd 24.05.6

=== debian/changelog ===
slurm-smd (24.05.6-1) UNRELEASED; urgency=medium

  * Initial release.

 -- Tim McMullan <mcmullan@schedmd.com>  Tue, 05 Dec 2023 15:25:59 -0400
