=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
  libgtk2.0-dev,
  libpam0g-dev,
  libperl-dev,
- libpam0g-dev,
  liblua5.3-dev,
  libhwloc-dev,
  dh-exec,
@@ -23,19 +22,22 @@
  libhdf5-dev,
  man2html-base,
  libcurl4-openssl-dev,
- pmix,
+ libpmix-dev,
  libhttp-parser-dev,
  libyaml-dev,
  libjson-c-dev,
  libjwt-dev,
  liblz4-dev,
+ libmariadb-dev | libmysqlclient-dev,
  bash-completion,
  libdbus-1-dev,
- librdkafka-dev
+ librdkafka-dev,
+ libnvidia-ml-dev
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://github.com/SchedMD/slurm
 Vcs-Git: https://github.com/SchedMD/slurm.git
 Standards-Version: 4.6.0
+Rules-Requires-Root: no
 
 Package: slurm-smd
 Architecture: any
@@ -66,7 +68,8 @@
 Depends:
  ${shlibs:Depends},
  slurm-smd (= ${binary:Version}),
- munge
+ munge,
+ bash-completion
 Conflicts:
  slurm-client,
  slurm-client-emulator
@@ -149,6 +152,15 @@
 Description: Slurm REST API daemon
  Provides a REST interface to Slurm using the REST API daemon slurmrestd.
 
+Package: slurm-smd-sackd
+Architecture: any
+Depends:
+ slurm-smd (= ${binary:Version}),
+ ${shlibs:Depends}
+Description: Slurm authentication daemon.
+ Used on login nodes that are not running slurmd daemons to allow authentication
+ to the cluster.
+
 Package: slurm-smd-sview
 Architecture: any
 Depends:
