## slurm-smd 24.11.3

=== debian/control ===
--- 
+++ 
@@ -4,35 +4,35 @@
 Maintainer: SchedMD Support <support@schedmd.com>
 Uploaders: Tim Mcmullan <mcmullan@schedmd.com>
 Build-Depends:
+ bash-completion,
  debhelper (>= 12),
+ dh-exec,
+ hdf5-helpers,
+ libcurl4-openssl-dev,
+ libdbus-1-dev,
+ libfreeipmi-dev,
+ libgtk2.0-dev,
+ libhdf5-dev,
+ libhttp-parser-dev,
+ libhwloc-dev,
+ libipmimonitoring-dev,
+ libjson-c-dev,
+ libjwt-dev,
+ liblua5.3-dev,
+ liblz4-dev,
+ libmariadb-dev | libmysqlclient-dev,
  libmunge-dev,
  libncurses-dev,
+ libpam0g-dev,
+ libperl-dev,
+ libpmix-dev,
+ librdkafka-dev,
+ libnvidia-ml-dev,
+ librrd-dev,
+ libyaml-dev,
+ man2html-base,
  po-debconf,
  python3,
- libgtk2.0-dev,
- libpam0g-dev,
- libperl-dev,
- liblua5.3-dev,
- libhwloc-dev,
- dh-exec,
- librrd-dev,
- libipmimonitoring-dev,
- hdf5-helpers,
- libfreeipmi-dev,
- libhdf5-dev,
- man2html-base,
- libcurl4-openssl-dev,
- libpmix-dev,
- libhttp-parser-dev,
- libyaml-dev,
- libjson-c-dev,
- libjwt-dev,
- liblz4-dev,
- libmariadb-dev | libmysqlclient-dev,
- bash-completion,
- libdbus-1-dev,
- librdkafka-dev,
- libnvidia-ml-dev
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://github.com/SchedMD/slurm
 Vcs-Git: https://github.com/SchedMD/slurm.git
