=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 override_dh_auto_configure:
 	# Run with --disable-debug to allow optimizations, -g is still provided
 	# by dpkg-buildflags.
-	dh_auto_configure -- --sysconfdir=/etc/slurm --disable-debug --with-slurmrestd --with-pmix=/opt/pmix/4.2.9 --enable-pam --with-systemdsystemunitdir SUCMD=/bin/su SLEEP_CMD=/bin/sleep
+	dh_auto_configure -- --sysconfdir=/etc/slurm --disable-debug --with-mysql_config --with-slurmrestd --with-pmix=/opt/pmix/4.2.9 --enable-pam --with-systemdsystemunitdir=/lib/systemd/system/ SUCMD=/bin/su SLEEP_CMD=/bin/sleep
 
 override_dh_auto_install:
 	dh_auto_install
@@ -56,17 +56,20 @@
 	mv -v debian/tmp/lib/systemd/system/slurmd.service debian/slurm-smd-slurmd.slurmd.service
 	mv -v debian/tmp/lib/systemd/system/slurmdbd.service debian/slurm-smd-slurmdbd.slurmdbd.service
 	mv -v debian/tmp/lib/systemd/system/slurmrestd.service debian/slurm-smd-slurmrestd.slurmrestd.service
+	mv -v debian/tmp/lib/systemd/system/sackd.service debian/slurm-smd-sackd.sackd.service
 
 override_dh_installinit:
 	dh_installinit -pslurm-smd-slurmctld --name=slurmctld
 	dh_installinit -pslurm-smd-slurmd --name=slurmd
 	dh_installinit -pslurm-smd-slurmdbd --name=slurmdbd
 	dh_installinit -pslurm-smd-slurmrestd --name=slurmrestd
+	dh_installinit -pslurm-smd-sackd --name=sackd
 
 override_dh_installsystemd:
 	dh_installsystemd -pslurm-smd-slurmctld --name=slurmctld
 	dh_installsystemd -pslurm-smd-slurmd --name=slurmd
 	dh_installsystemd -pslurm-smd-slurmdbd --name=slurmdbd
 	dh_installsystemd -pslurm-smd-slurmrestd --name=slurmrestd
+	dh_installsystemd -pslurm-smd-sackd --name=sackd
 
 override_dh_auto_test:
