## slurm-smd 25.05.2

=== debian/changelog ===
slurm-smd (25.05.2-3) UNRELEASED; urgency=medium

  [ Tim McMullan ]
  * Initial release.

  [ Aditi Gaur ]
  * Automated build for version 25.05.2-3

 -- Aditi Gaur <aditigaur@microsoft.com>  Tue, 26 Aug 2025 00:34:46 +0000
