=== debian/rules ===
--- 
+++ 
@@ -66,10 +66,10 @@
 	dh_installinit -pslurm-smd-sackd --name=sackd
 
 override_dh_installsystemd:
-	dh_installsystemd -pslurm-smd-slurmctld --name=slurmctld
-	dh_installsystemd -pslurm-smd-slurmd --name=slurmd
-	dh_installsystemd -pslurm-smd-slurmdbd --name=slurmdbd
-	dh_installsystemd -pslurm-smd-slurmrestd --name=slurmrestd
-	dh_installsystemd -pslurm-smd-sackd --name=sackd
+	dh_installsystemd -pslurm-smd-slurmctld --no-start --name=slurmctld
+	dh_installsystemd -pslurm-smd-slurmd --no-start --name=slurmd
+	dh_installsystemd -pslurm-smd-slurmdbd --no-start --name=slurmdbd
+	dh_installsystemd -pslurm-smd-slurmrestd --no-start --name=slurmrestd
+	dh_installsystemd -pslurm-smd-sackd --no-start --name=sackd
 
 override_dh_auto_test:
