## slurm-smd 25.05.5

=== debian/changelog ===
slurm-smd (25.05.5-1) UNRELEASED; urgency=medium

  [ Tim McMullan ]
  * Initial release.

  [ Aditi Gaur ]
  * Automated build for version 25.05.5-1

 -- Aditi Gaur <aditigaur@microsoft.com>  Tue, 16 Dec 2025 18:42:21 +0000
