## slurm-smd 25.11.1

=== debian/changelog ===
slurm-smd (25.11.1-1) UNRELEASED; urgency=medium

  [ Tim McMullan ]
  * Initial release.

  [ Aditi Gaur ]
  * Automated build for version 25.11.1-1

 -- Aditi Gaur <aditigaur@microsoft.com>  Fri, 19 Dec 2025 21:05:38 +0000
